Issue at RXtools

Discussion in '3DS - Homebrew Development and Emulators' started by warleyboy, Nov 5, 2015.

  1. warleyboy
    OP

    warleyboy Member

    Newcomer
    46
    3
    Mar 28, 2010
    Hi All,

    I have done many days searching and also posting on noobs thread with no luck.
    Firstly with the help of the noob thread and other tutorials managed to get my sons O3ds of firmware 4.5 running great with themehax and homebrew (RXtools).
    My step sons O3DS XL is a different matter, i can get onto gateway and format emunand and that is really it.
    No matter what i try i cannot get into RXTools via browser or qr scan.
    His firmware is 7.2.0-10E, any ideas please.
    Someone has mentioned that i may need to downgrade to 4.5 on firmware.
    Can i do this before setting up emunand and do i need too.
    Thanks in advance all.
     
  2. ketal

    ketal aiueo

    Member
    744
    569
    Aug 20, 2015
    Italy
    are you sure you have rxTools.dat along with the rxtools folders in your sd?
     
  3. warleyboy
    OP

    warleyboy Member

    Newcomer
    46
    3
    Mar 28, 2010
    Hiya Ketal, im following the 3.0 nightly tutorial, it does not mention putting rxTools.dat within the root of the SD card.
    States that rxTools folder needs to go onto root, firmware.bin into the sys folder and slot key onto root of sd, and thats it???
    Cheers
     
  4. ketal

    ketal aiueo

    Member
    744
    569
    Aug 20, 2015
    Italy
    you still need rxtools.dat
     
  5. warleyboy
    OP

    warleyboy Member

    Newcomer
    46
    3
    Mar 28, 2010
    Still no joy.
    Tried with and without slot key as its 7.x
    put rxtools.dat on sd

    Although, ive seen somewhere the code.bin within the sys folder does that job now instead of rxtools.dat.
    just keep getting thrown back to home menu with a error has occurred screen.
    it starts to load and looks as though it about to launch and error occurs.
     
  6. ric.

    ric. Drivin' to meme country

    Member
    792
    907
    Sep 17, 2015
    Peru
    You're correct, the latest nightlies don't need rxtools.dat. slot0x25KeyX.bin goes on the root of the SD card.
    That said, try checking your rxtools/sys folder and make sure all files are there. You'll need code.bin, firmware.bin, font.bin, and reboot.bin
     
  7. warleyboy
    OP

    warleyboy Member

    Newcomer
    46
    3
    Mar 28, 2010

    Yea ric, as you said, those files are all there !!!!!
     
  8. ric.

    ric. Drivin' to meme country

    Member
    792
    907
    Sep 17, 2015
    Peru
  9. warleyboy
    OP

    warleyboy Member

    Newcomer
    46
    3
    Mar 28, 2010
    ric. likes this.
  10. ketal

    ketal aiueo

    Member
    744
    569
    Aug 20, 2015
    Italy
    Oh, I didn't see you were using 3.0. I'm still on 2.6 and it works fine
     
  11. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,080
    5,154
    Mar 17, 2010
    Norway
    Alola
    What URL/QR code are you using to load rxTools?
    This one is made for the latest nightlies: https://chart.googleapis.com/chart?...tps://dukesrg.github.io/?rxTools/sys/code.bin

    Edit: Also try clearing the browser data, it fixes issues for a lot of people.
     
    Last edited by The Real Jdbye, Nov 6, 2015
    Zidapi likes this.
  12. Dean_

    Dean_ GBAtemp Advanced Fan

    Member
    651
    374
    Sep 11, 2014
    2.6 uses reversed GW's payload launcher which runs on FWs that have older browsers.
    But 3.0 alphas run on FWs that have browsers that match the version.

    In short : If GW's working, 2.6 will work. 3.0a, maybe not.
     
  13. Tenshi_Okami

    Tenshi_Okami GBAtemp Maniac

    Member
    1,398
    576
    Nov 3, 2015
    Puerto Rico
    The same thing happened to me, i couldn't run 3.0 no matter what i did....until i tried this

    i installed rxtools 2.6
    downgraded to 4.2 firmware
    installed 4.x mset for rxtools 3.x
    and after that it ran without a problem

    and if you want to upgrade again to 9.2

    download the 9.2 update from a certain iso site
    install sysupdater
    run on DEVMODE(MAKE SURE ITS ON DEVMODE OR IT WILL BRICK)
    open sysupdater
    and follow the instructions on the screen

    with all of this, i managed to update to 9.2 to run autoboot

    also if i said a word wrong, im sorry ;-; im not that perfect in english
     
    Last edited by Tenshi_Okami, Nov 6, 2015